XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# audio driver capabilities

## Defines
#define | AO_CAP_NOCAP 0x00000000
#define | AO_CAP_MODE_A52 0x00000001
#define | AO_CAP_MODE_AC5 0x00000002
#define | AO_CAP_MODE_MONO 0x00000004
#define | AO_CAP_MODE_STEREO 0x00000008
#define | AO_CAP_MODE_4CHANNEL 0x00000010
#define | AO_CAP_MODE_5CHANNEL 0x00000020
#define | AO_CAP_MODE_5_1CHANNEL 0x00000040
#define | AO_CAP_MIXER_VOL 0x00000080
#define | AO_CAP_PCM_VOL 0x00000100
#define | AO_CAP_MUTE_VOL 0x00000200
## Functions
int | xine_get_audio_capabilities (xine_t *self)
| Get audio driver capabilities.

## Define Documentation

#define AO_CAP_MIXER_VOL 0x00000080

| Driver supports mixer control. See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_4CHANNEL 0x00000010

| Driver supports 4 channels. 1 sample == 8 bytes (L,R,LR,RR) See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_5CHANNEL 0x00000020

| Driver supports 5 channels. 1 sample == 10 bytes (L,R,LR,RR,C) See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_5_1CHANNEL 0x00000040

| Driver supports 5.1 channels. 1 sample == 12 bytes (L,R,LR,RR,C,LFE) See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_A52 0x00000001

| Driver supports A/52 output. See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_AC5 0x00000002

| Driver supports AC5 output. See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_MONO 0x00000004

| Driver supports mono output. 1 sample == 2 bytes (C) See also: xine_get_audio_capabilities()

#define AO_CAP_MODE_STEREO 0x00000008

| Driver supports stereo output. 1 sample == 4 bytes (L,R) See also: xine_get_audio_capabilities()

#define AO_CAP_MUTE_VOL 0x00000200

| Driver can mute volume. See also: xine_get_audio_capabilities()

#define AO_CAP_NOCAP 0x00000000

| Driver has no capabilities. See also: xine_get_audio_capabilities()

#define AO_CAP_PCM_VOL 0x00000100

| Driver supports pcm control. See also: xine_get_audio_capabilities()

## Function Documentation

int xine_get_audio_capabilities ( | xine_t * self )

  | Get audio driver capabilities. Parameters:
  self | Current xine engine configuration ( see xine_init() )
  Returns: Audio capabilities. Get audio driver capabilities, returned value can be AND/ORed with AO_CAP_* constant to get relevant informations. Parameters:
  self |